Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.crs
Interface GeneralDerivedCRS

All Superinterfaces:
  CoordinateReferenceSystem, IdentifiedObject, ReferenceSystem, SingleCRS

All Known Subinterfaces:
  DerivedCRS, ProjectedCRS

    @UML(identifier="SC_GeneralDerivedCRS",
         specification=ISO_19111)
    public interface GeneralDerivedCRS

extends SingleCRS

A coordinate reference system that is defined by its coordinate conversion from another coordinate reference system (not by a datum).

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0

Field Summary

Fields inherited from interface ReferenceSystem
`DOMAIN_OF_VALIDITY_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`CoordinateReferenceSystem` | `getBaseCRS()` Returns the base coordinate reference system.
`Conversion` | `getConversionFromBase()` Returns the conversion from the base CRS to this CRS.

Methods inherited from interface SingleCRS
`getCoordinateSystem, getDatum`

Methods inherited from interface ReferenceSystem
`getDomainOfValidity, getScope, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Method Detail

### getBaseCRS

    @UML(identifier="baseCRS",
         obligation=MANDATORY,
         specification=ISO_19111)
    CoordinateReferenceSystem getBaseCRS()

  Returns the base coordinate reference system.

### getConversionFromBase

    @UML(identifier="definedByConversion",
         obligation=MANDATORY,
         specification=ISO_19111)
    Conversion getConversionFromBase()

  Returns the conversion from the base CRS to this CRS.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.